from os import getenv
from flask_security import uia_email_mapper

# Flask
SERVER_NAME = getenv("SERVER_NAME")
SECRET_KEY = getenv("SECRET_KEY")


# SQLAlchemy
SQLALCHEMY_DATABASE_URI = getenv("DATABASE_URL")
SQLALCHEMY_TRACK_MODIFICATIONS = False


# Redis
REDIS_URL = getenv("REDIS_URL")


# Flask Security
SECURITY_REGISTERABLE = True if getenv("SECURITY_REGISTERABLE") == "True" else False
SECURITY_CONFIRMABLE = True if getenv("SECURITY_REGISTERABLE") == "True" else False
SECURITY_PASSWORD_SALT = getenv("SECURITY_PASSWORD_SALT")
SECURITY_POST_CONFIRM_VIEW = "/"
SECURITY_EMAIL_SENDER = getenv("SECURITY_EMAIL_SENDER")

# Flask Mail
MAIL_SERVER = getenv("MAIL_SERVER")
MAIL_PORT = getenv("MAIL_PORT")
MAIL_USE_SSL = getenv("MAIL_USE_SSL")
MAIL_USERNAME = getenv("MAIL_USERNAME")
MAIL_PASSWORD = getenv("MAIL_PASSWORD")

# Celery config
CELERY_BROKER_URL = getenv("RABBITMQ_URL")
CELERY_RESULT_BACKEND = getenv("REDIS_URL")

# RTMP Server
RTMP_SERVER = getenv("RTMP_SERVER")
PREVIEW_SERVER = getenv("PREVIEW_SERVER")
